=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kcontacts
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Sandro Knauß <hefee@debian.org>,
@@ -10,13 +11,13 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
                iso-codes <!nocheck>,
-               libkf6codecs-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
+               libkf6codecs-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
                libxkbcommon-dev,
                locales-all <!nocheck>,
                qt6-base-dev (>= 6.5.0+dfsg~),
@@ -25,8 +26,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcontacts
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcontacts.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcontacts
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcontacts
 Rules-Requires-Root: no
 
 Package: libkf6contacts-data
@@ -42,11 +43,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6codecs-dev (>= 6.3.0~),
-         libkf6config-dev (>= 6.3.0~),
+Depends: libkf6codecs-dev (>= 6.6.0~),
+         libkf6config-dev (>= 6.6.0~),
          libkf6contacts6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.3.0~),
-         libkf6i18n-dev (>= 6.3.0~),
+         libkf6coreaddons-dev (>= 6.6.0~),
+         libkf6i18n-dev (>= 6.6.0~),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Description: development files for kcontacts
