=== debian/control ===
--- 
+++ 
@@ -10,14 +10,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                gettext,
                iso-codes <!nocheck>,
-               libkf6codecs-dev (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
+               libkf6codecs-dev (>= 6.9.0~),
+               libkf6config-dev (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
                libxkbcommon-dev,
                locales-all <!nocheck>,
                qt6-base-dev (>= 6.5.0+dfsg~),
@@ -43,11 +44,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6codecs-dev (>= 6.6.0~),
-         libkf6config-dev (>= 6.6.0~),
+Depends: libkf6codecs-dev (>= 6.9.0~),
+         libkf6config-dev (>= 6.9.0~),
          libkf6contacts6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.6.0~),
-         libkf6i18n-dev (>= 6.6.0~),
+         libkf6coreaddons-dev (>= 6.9.0~),
+         libkf6i18n-dev (>= 6.9.0~),
+         qml6-module-org-kde-contacts (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Description: development files for kcontacts
@@ -78,8 +80,7 @@
 Package: qml6-module-org-kde-contacts
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: address book API for KDE frameworks (QML module)
  KContacts is an API for address book data.
  .
