=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                gettext,
                iso-codes <!nocheck>,
-               libkf6codecs-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
+               libkf6codecs-dev (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
                libxkbcommon-dev,
                locales-all <!nocheck>,
                qt6-base-dev (>= 6.6.0~),
@@ -44,11 +44,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6codecs-dev (>= 6.10.0~),
-         libkf6config-dev (>= 6.10.0~),
+Depends: libkf6codecs-dev (>= 6.11.0~),
+         libkf6config-dev (>= 6.11.0~),
          libkf6contacts6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.10.0~),
-         libkf6i18n-dev (>= 6.10.0~),
+         libkf6coreaddons-dev (>= 6.11.0~),
+         libkf6i18n-dev (>= 6.11.0~),
          qml6-module-org-kde-contacts (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
